## ros-one-driver-base 1.6.9-0noble.20251023.0258

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(driver_base)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED message_generation std_msgs)
find_package(Boost REQUIRED)

include_directories(include)

add_message_files(
  DIRECTORY msg
  FILES
  ConfigString.msg
  ConfigValue.msg
  SensorLevels.msg)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS message_runtime std_msgs
  DEPENDS Boost)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

## ros-one-driver-base 1.6.9-0jammy.20251023.0300

=== debian/changelog ===
ros-one-driver-base (1.6.9-0jammy.20251023.0300) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 23 Oct 2025 03:00:59 +0000

ros-one-driver-base (1.6.9-0jammy) jammy; urgency=high



 -- Chad Rockey <chadrockey@gmail.com>  Mon, 22 Mar 2021 00:00:00 -0000

ros-one-driver-base (1.6.8-0jammy) jammy; urgency=high



 -- Chad Rockey <chadrockey@gmail.com>  Sun, 30 Mar 2014 00:00:00 -0000

ros-one-driver-base (1.6.7-0jammy) jammy; urgency=high

  * No more Willow Garage email.
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@gmail.com>  Wed, 21 Aug 2013 00:00:00 -0000

ros-one-driver-base (1.6.6-0jammy) jammy; urgency=high

  * Fix a compile problem that occurs when using clang
  * Contributors: William Woodall

 -- Chad Rockey <chadrockey@gmail.com>  Mon, 06 May 2013 00:00:00 -0000

ros-one-driver-base (1.6.5-0jammy) jammy; urgency=high

  * Removed duplicated dependancies
    test_depend tags should only not duplicate run/build depends tags.
  * Contributors: Aaron Blasdel

 -- Chad Rockey <chadrockey@gmail.com>  Tue, 22 Jan 2013 00:00:00 -0000

ros-one-driver-base (1.6.4-0jammy) jammy; urgency=high

  * add missing dep to catkin
  * Contributors: Dirk Thomas

 -- Chad Rockey <chadrockey@gmail.com>  Fri, 14 Dec 2012 00:00:00 -0000

ros-one-driver-base (1.6.3-0jammy) jammy; urgency=high

  * fix missing dependency
  * add missing downstream depend
  * switched from langs to message_* packages
  * Contributors: Dirk Thomas

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 13 Dec 2012 00:00:00 -0000

ros-one-driver-base (1.6.2-0jammy) jammy; urgency=high

  * Version 1.6.2
  * Contributors: William Woodall

 -- Chad Rockey <chadrockey@gmail.com>  Mon, 10 Dec 2012 00:00:00 -0000

ros-one-driver-base (1.6.1-0jammy) jammy; urgency=high



 -- Chad Rockey <chadrockey@gmail.com>  Fri, 07 Dec 2012 16:02:00 -0000

ros-one-driver-base (1.6.0-0jammy) jammy; urgency=high

  * Fixing driver_base package.xml and CMakelist
  * Version bump for release.
  * Catkinized
  * rosbuild2 taking shape
  * Made all the tests that change the driver state more reliable by doing multiple retries.
  * Added Ubuntu platform tags to manifest
  * Took out state_ from driver_node.h. It was a vestigial remain from an early version that was causing occasional shutdowns at node startup.
  * driver_common: adding in brief descriptions
  * Set reviewed tags on all packages.
  * Fixed SIGUHP to SIGHUP.
  * Added SIGHUP handler to driver_base. Prints a warning and continues.
  * Took out message when reconfigure was unable to return to previous state, as it should be covered by other error messages.
  * Changed diagnostic summary messages
  * Switched over to ROS's default CTRL+C handler to better support CTRL+C when there is no master (and probably other cases too).
  * Now holds the lock while doing diagnostics and self_test. Avoids some nasty problems when doing dynamic_reconfigure during self_test.
  * Added ability to add diagnostic items to the Driver Status diagnostic. Better control over when status messages get printed.
  * Fixed warning.
  * Took node name out of driver status diagnostic heading since it is added by the diagnostic_updater.
  * Got rid of a deadlock case when external reconfiguration happens at the same time as the device is trying to reconfigure itself.
  * Removed obsolete services (seem to have been an early attempte at dynamic_reconfigure).
  * cstdio include required for vsnprintf on ubuntu karmic (gcc 4.4)
  * Changed sleep(0.1) in main loop into a ros::Duration(0.1).sleep. Doesn't eat CPU now.
  * Renamed self_test::Sequencer to self_test::TestRunner as per API review.
  * Added missing header
  * Got rid of non-constant format string.
  * Changed locking on status message to avoid deadlocks when exiting streaming thread.
  * Added missing include of stdarg.h
  * Added support for debugging messages that only get displayed when the driver state changes.
  * Changed sleep behavior in main loop. Now sleeps for a second if there is a crash, but normally only sleeps for 100ms.
  * Marked driver_base as internal only for now.
  * Remove use of deprecated rosbuild macros
  * Updated to new dynamic_reconfigure transport. Added setparam command to dynparam.
  * Removed race condition from DriverNode that was causing a spurious device restart after reconfigure.
  * Fixed include files, added exception handling, added node handle for private namespace.
  * Continued debugging wge100_multi_reconfigurator. Fixed a locking bug in driver_common.
  * added missing signal.h include
  * updated self_test, diagnostic_updater, dynamic_reconfigure and wge100_camera to use new ~ namespace access method
  * Updated package URLs.
  * Typo in previous commit.
  * Updated manifest.
  * Split apart the open and ID self-test steps.
  * Updated adds into add as part of the diagnostic message update.
  * Added a postOpenHook.
  * Bug slipped into previous commit.
  * If self-test retries it now issues a warning.
  * Increased led_test tolerance to 2. Allowed self test to retry open and start commands before failing.
  * Forgotten changes to driver_base that were breaking the build.
  * Changed nomenclature in driver_base. Renamed method names to use camelCase.
    Got forearm_node working with driver_base: now appears to be working well.
  * Continuing to move driver_base.
  * Moving driver_base.
  * Contributors: Brian Gerkey, Chad Rockey, Gassend Blaise, Ken Conley, Morgan Quigley, Rob Wheeler, Troy Straszheim

 -- Chad Rockey <chadrockey@gmail.com>  Fri, 07 Dec 2012 11:00:00 -0000

=== debian/control ===
Source: ros-one-driver-base
Section: misc
Priority: optional
Maintainer: Chad Rockey <chadrockey@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-diagnostic-updater, ros-one-dynamic-reconfigure, ros-one-message-generation, ros-one-roscpp, ros-one-self-test, ros-one-std-msgs
Homepage: http://www.ros.org/wiki/driver_base
Standards-Version: 3.9.2

Package: ros-one-driver-base
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-diagnostic-updater, ros-one-dynamic-reconfigure, ros-one-message-runtime, ros-one-roscpp, ros-one-self-test, ros-one-std-msgs
Description: A framework for writing drivers that helps with runtime reconfiguration, diagnostics and self-test.
 This package is deprecated.

## ros-one-driver-base 1.6.9-0jammy.20260220.2342

=== debian/changelog ===
ros-one-driver-base (1.6.9-0jammy.20260220.2342) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@gmail.com>  Fri, 20 Feb 2026 23:42:52 +0000

## ros-one-driver-base 1.6.9-0noble.20251023.0258

=== debian/changelog ===
ros-one-driver-base (1.6.9-0noble.20251023.0258) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 23 Oct 2025 02:58:23 +0000

ros-one-driver-base (1.6.9-0noble) noble; urgency=high



 -- Chad Rockey <chadrockey@gmail.com>  Mon, 22 Mar 2021 00:00:00 -0000

ros-one-driver-base (1.6.8-0noble) noble; urgency=high



 -- Chad Rockey <chadrockey@gmail.com>  Sun, 30 Mar 2014 00:00:00 -0000

ros-one-driver-base (1.6.7-0noble) noble; urgency=high

  * No more Willow Garage email.
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@gmail.com>  Wed, 21 Aug 2013 00:00:00 -0000

ros-one-driver-base (1.6.6-0noble) noble; urgency=high

  * Fix a compile problem that occurs when using clang
  * Contributors: William Woodall

 -- Chad Rockey <chadrockey@gmail.com>  Mon, 06 May 2013 00:00:00 -0000

ros-one-driver-base (1.6.5-0noble) noble; urgency=high

  * Removed duplicated dependancies
    test_depend tags should only not duplicate run/build depends tags.
  * Contributors: Aaron Blasdel

 -- Chad Rockey <chadrockey@gmail.com>  Tue, 22 Jan 2013 00:00:00 -0000

ros-one-driver-base (1.6.4-0noble) noble; urgency=high

  * add missing dep to catkin
  * Contributors: Dirk Thomas

 -- Chad Rockey <chadrockey@gmail.com>  Fri, 14 Dec 2012 00:00:00 -0000

ros-one-driver-base (1.6.3-0noble) noble; urgency=high

  * fix missing dependency
  * add missing downstream depend
  * switched from langs to message_* packages
  * Contributors: Dirk Thomas

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 13 Dec 2012 00:00:00 -0000

ros-one-driver-base (1.6.2-0noble) noble; urgency=high

  * Version 1.6.2
  * Contributors: William Woodall

 -- Chad Rockey <chadrockey@gmail.com>  Mon, 10 Dec 2012 00:00:00 -0000

ros-one-driver-base (1.6.1-0noble) noble; urgency=high



 -- Chad Rockey <chadrockey@gmail.com>  Fri, 07 Dec 2012 16:02:00 -0000

ros-one-driver-base (1.6.0-0noble) noble; urgency=high

  * Fixing driver_base package.xml and CMakelist
  * Version bump for release.
  * Catkinized
  * rosbuild2 taking shape
  * Made all the tests that change the driver state more reliable by doing multiple retries.
  * Added Ubuntu platform tags to manifest
  * Took out state_ from driver_node.h. It was a vestigial remain from an early version that was causing occasional shutdowns at node startup.
  * driver_common: adding in brief descriptions
  * Set reviewed tags on all packages.
  * Fixed SIGUHP to SIGHUP.
  * Added SIGHUP handler to driver_base. Prints a warning and continues.
  * Took out message when reconfigure was unable to return to previous state, as it should be covered by other error messages.
  * Changed diagnostic summary messages
  * Switched over to ROS's default CTRL+C handler to better support CTRL+C when there is no master (and probably other cases too).
  * Now holds the lock while doing diagnostics and self_test. Avoids some nasty problems when doing dynamic_reconfigure during self_test.
  * Added ability to add diagnostic items to the Driver Status diagnostic. Better control over when status messages get printed.
  * Fixed warning.
  * Took node name out of driver status diagnostic heading since it is added by the diagnostic_updater.
  * Got rid of a deadlock case when external reconfiguration happens at the same time as the device is trying to reconfigure itself.
  * Removed obsolete services (seem to have been an early attempte at dynamic_reconfigure).
  * cstdio include required for vsnprintf on ubuntu karmic (gcc 4.4)
  * Changed sleep(0.1) in main loop into a ros::Duration(0.1).sleep. Doesn't eat CPU now.
  * Renamed self_test::Sequencer to self_test::TestRunner as per API review.
  * Added missing header
  * Got rid of non-constant format string.
  * Changed locking on status message to avoid deadlocks when exiting streaming thread.
  * Added missing include of stdarg.h
  * Added support for debugging messages that only get displayed when the driver state changes.
  * Changed sleep behavior in main loop. Now sleeps for a second if there is a crash, but normally only sleeps for 100ms.
  * Marked driver_base as internal only for now.
  * Remove use of deprecated rosbuild macros
  * Updated to new dynamic_reconfigure transport. Added setparam command to dynparam.
  * Removed race condition from DriverNode that was causing a spurious device restart after reconfigure.
  * Fixed include files, added exception handling, added node handle for private namespace.
  * Continued debugging wge100_multi_reconfigurator. Fixed a locking bug in driver_common.
  * added missing signal.h include
  * updated self_test, diagnostic_updater, dynamic_reconfigure and wge100_camera to use new ~ namespace access method
  * Updated package URLs.
  * Typo in previous commit.
  * Updated manifest.
  * Split apart the open and ID self-test steps.
  * Updated adds into add as part of the diagnostic message update.
  * Added a postOpenHook.
  * Bug slipped into previous commit.
  * If self-test retries it now issues a warning.
  * Increased led_test tolerance to 2. Allowed self test to retry open and start commands before failing.
  * Forgotten changes to driver_base that were breaking the build.
  * Changed nomenclature in driver_base. Renamed method names to use camelCase.
    Got forearm_node working with driver_base: now appears to be working well.
  * Continuing to move driver_base.
  * Moving driver_base.
  * Contributors: Brian Gerkey, Chad Rockey, Gassend Blaise, Ken Conley, Morgan Quigley, Rob Wheeler, Troy Straszheim

 -- Chad Rockey <chadrockey@gmail.com>  Fri, 07 Dec 2012 11:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-driver-base//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-driver-base 1.6.9-0noble.20260221.0004

=== debian/changelog ===
ros-one-driver-base (1.6.9-0noble.20260221.0004) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@gmail.com>  Sat, 21 Feb 2026 00:04:38 +0000
